package com.huimv.eartag2.manage2.pojo;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2024-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("eartar_farm_all_status")
public class EartarFarmAllStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer deviceTotal;

    private Integer deviceOnline;

    private Integer deviceOffline;

    private Double deviceRate;

    private Integer deviceCancel;

    private Integer eartagTotal;

    private Integer eartagOnline;

    private Double eartagRate;

    private String farmId;

    private Date updateTime;

    private Date createDate;

    @TableLogic
    private Integer isDeleted;


}
